Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Public Member Functions
tlp::CSVImportWizard Class Reference

`#include <CSVImportWizard.h>`

List of all members.

## Public Slots

- void accept ()

## Public Member Functions

- CSVImportWizard (QWidget *parent=NULL)
- ~CSVImportWizard ()
- CSVParsingConfigurationQWizardPage * getParsingConfigurationPage () const
- CSVImportConfigurationQWizardPage * getImportConfigurationPage () const
- CSVGraphMappingConfigurationQWizardPage * getMappingConfigurationPage () const
- void setGraph (Graph *graph)
- Graph * getGraph () const

## Constructor & Destructor Documentation

tlp::CSVImportWizard::CSVImportWizard | ( | QWidget * | parent = `NULL` | ) | `[explicit]`

tlp::CSVImportWizard::~CSVImportWizard | ( |  | ) |

## Member Function Documentation

void tlp::CSVImportWizard::accept | ( |  | ) | `[slot]`

Graph* tlp::CSVImportWizard::getGraph | ( |  | ) | const`[inline]`

CSVImportConfigurationQWizardPage* tlp::CSVImportWizard::getImportConfigurationPage | ( |  | ) | const

CSVGraphMappingConfigurationQWizardPage* tlp::CSVImportWizard::getMappingConfigurationPage | ( |  | ) | const

CSVParsingConfigurationQWizardPage* tlp::CSVImportWizard::getParsingConfigurationPage | ( |  | ) | const

void tlp::CSVImportWizard::setGraph | ( | Graph * | graph | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012